Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class LookAndFeelRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.LookAndFeelRequester

public class LookAndFeelRequester
extends AbstractRequester

This is a requester for look and feels. The chosen look and feel can also be set immediately.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`LookAndFeelRequester()`
`LookAndFeelRequester(java.lang.String message)`
`LookAndFeelRequester(java.lang.String title, java.lang.String message)`

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`static java.lang.String[]` | `getInstalledLookAndFeels()`
`java.lang.String` | `getLookAndFeel()`
`protected int` | `getReturnValue()`
`void` | `setAfterSelection(java.awt.Component tree)`
`void` | `setMessage(java.lang.String newmessage)` Sets the message to be shown in the requester.

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookAndFeelRequester

    public LookAndFeelRequester()

### LookAndFeelRequester

    public LookAndFeelRequester(java.lang.String message)

### LookAndFeelRequester

    public LookAndFeelRequester(java.lang.String title,
                                java.lang.String message)

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getInstalledLookAndFeels

    public static java.lang.String[] getInstalledLookAndFeels()

### getLookAndFeel

    public java.lang.String getLookAndFeel()

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### setAfterSelection

    public void setAfterSelection(java.awt.Component tree)

### setMessage

    public void setMessage(java.lang.String newmessage)

  Sets the message to be shown in the requester.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD